%define subrel 1
Summary:	A utility which maintains a system's symbolic links
Name:		symlinks
Version:	1.2
Release:	%mkrel 21
Group:		File tools
License:	BSD-style
Source0:	ftp://sunsite.unc.edu/pub/Linux/utils/file/%{name}-%{version}.tar.bz2
URL:		http://www.ibiblio.org/pub/Linux/utils/file/
Patch0:		symlinks-1.2-noroot.patch
Patch1:		symlinks-1.2-static.patch
Patch2:		symlinks-1.2-short.patch
Buildrequires:	glibc-static-devel
Buildroot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
The symlinks utility performs maintenance on symbolic links.  Symlinks
checks for symlink problems, including dangling symlinks which point to
nonexistent files.  Symlinks can also automatically convert absolute
symlinks to relative symlinks.

Install the symlinks package if you need a program for maintaining
symlinks on your system.

%prep
%setup -q
%patch0 -p1 -b .noroot
%patch1 -p1 -b .static
%patch2 -p1 -b .short

%build
%make CFLAGS="%{optflags} -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64" 

%install
rm -rf %{buildroot}

install -D %{name} %{buildroot}%{_bindir}/%{name}
install -D %{name}.8  %{buildroot}%{_mandir}/man8/%{name}.8

%clean
rm -rf %{buildroot}

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/%{name}
%{_mandir}/man8/%{name}.8*


%changelog
* Thu Oct 9 2008 Vincent Danen <vdanen@mandriva.com> 1.2-21.1mdv2008.1
- build for updates

* Fri Oct 03 2008 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.2-21mdv2008.1
+ Revision: 290983
- fix issue with >2GB files (fixes #41900)
- fix issue with symlinks converted from absolute to relative aren't shortened
  (P2, RHBZ #89655)
- compile with correct flags to enable large files support (#41900)

* Wed Jun 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.2-20mdv2009.0
+ Revision: 225548
- rebuild

* Wed Mar 05 2008 Oden Eriksson <oeriksson@mandriva.com> 1.2-19mdv2008.1
+ Revision: 179567
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Mon Feb 12 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.2-18mdv2007.0
+ Revision: 119974
- Import symlinks

* Sat Apr 29 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.2-17mdk
- rebuild
- %%mkrel
- pass $RPM_OPT_FLAGS to CFLAGS variable in stead of changing it with perl
- fix summary-ended-with-dot

* Tue Oct 05 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.2-16mdk
- fix static build

